Debian Bug report logs - #629211
FTBFS on kfreebsd-*: sys/mount.h:39:2: error: unknown type name u_short

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Michael Biebl <biebl@debian.org>

Date: Sat, 4 Jun 2011 15:03:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Fixed in version kfreebsd-kernel-headers/0.55

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#629211; Package d-conf. (Sat, 04 Jun 2011 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Jun 2011 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on kfreebsd-*
Date: Sat, 04 Jun 2011 16:58:05 +0200
Package: d-conf
Version: 0.7.5-1
Severity: serious
User: debian-bsd@lists.debian.org
Usertags: kfreebsd


d-conf FTBFS on kfreebsd:

In file included from ../common/dconf-shmdir.c:30:0:
/usr/include/sys/mount.h:39:2: error: unknown type name 'u_short'
/usr/include/sys/mount.h:40:2: error: unknown type name 'u_short'
/usr/include/sys/mount.h:188:2: error: unknown type name 'fsid_t'
/usr/include/sys/mount.h:201:2: error: unknown type name 'u_char'
/usr/include/sys/mount.h:203:2: error: unknown type name 'u_char'
/usr/include/sys/mount.h:226:2: error: unknown type name 'u_int'
/usr/include/sys/mount.h:272:2: error: unknown type name 'fsid_t'
make[3]: *** [dconf-shmdir.o] Error 1
make[3]: Leaving directory
`/build/buildd-d-conf_0.7.5-1-kfreebsd-amd64-hmqFSS/d-conf-0.7.5/gsettings'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/build/buildd-d-conf_0.7.5-1-kfreebsd-amd64-hmqFSS/d-conf-0.7.5'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/build/buildd-d-conf_0.7.5-1-kfreebsd-amd64-hmqFSS/d-conf-0.7.5'
make: *** [debian/stamp-makefile-build] Error 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=d-conf&arch=kfreebsd-amd64&ver=0.7.5-1&stamp=1305703264
https://buildd.debian.org/status/fetch.php?pkg=d-conf&arch=kfreebsd-i386&ver=0.7.5-1&stamp=1305703775

Filing with severity serious as the first gnome packages depending on
d-conf start to appear in unstable.





-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-1-486
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Changed Bug title to 'FTBFS on kfreebsd-*: sys/mount.h:39:2: error: unknown type name u_short' from 'FTBFS on kfreebsd-*' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 16:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#629211; Package d-conf. (Sat, 04 Jun 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Jun 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #12 received at 629211@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: debian-bsd@lists.debian.org, 629211@bugs.debian.org
Subject: Re: d-conf on kfreebsd
Date: Sat, 4 Jun 2011 22:40:15 +0200
[Message part 1 (text/plain, inline)]
reassign 629211 kfreebsd-kernel-headers
tags 629211 patch
thanks

2011/6/4 Michael Biebl <biebl@debian.org>:
> /usr/include/sys/mount.h:39:2: error: unknown type name 'u_short'
> /usr/include/sys/mount.h:40:2: error: unknown type name 'u_short'
> /usr/include/sys/mount.h:188:2: error: unknown type name 'fsid_t'
> /usr/include/sys/mount.h:201:2: error: unknown type name 'u_char'
> /usr/include/sys/mount.h:203:2: error: unknown type name 'u_char'
> /usr/include/sys/mount.h:226:2: error: unknown type name 'u_int'
> /usr/include/sys/mount.h:272:2: error: unknown type name 'fsid_t'

Seems like <sys/mount.h> buggyness.  It assumes:

- That <sys/types.h> is included.
- That _BSD_SOURCE is defined.

I propose this patch.

-- 
Robert Millan
[sys_mount.diff (text/plain, attachment)]

Bug reassigned from package 'd-conf' to 'kfreebsd-kernel-headers'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 20:42:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 0.7.5-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 20:42:11 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 20:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629211; Package kfreebsd-kernel-headers. (Sun, 05 Jun 2011 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Kaduk <kaduk@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 05 Jun 2011 00:09:03 GMT) Full text and rfc822 format available.

Message #23 received at 629211@bugs.debian.org (full text, mbox):

From: Benjamin Kaduk <kaduk@MIT.EDU>
To: Robert Millan <rmh@debian.org>
Cc: debian-bsd@lists.debian.org, 629211@bugs.debian.org
Subject: Re: d-conf on kfreebsd
Date: Sat, 4 Jun 2011 20:05:26 -0400 (EDT)
On Sat, 4 Jun 2011, Robert Millan wrote:

>
> I propose this patch.


> --- /usr/include/sys/mount.h	2011-01-30 16:26:51.000000000 +0100
> +++ mount.h	2011-06-04 22:37:11.000000000 +0200
> @@ -26,6 +26,7 @@
>
>  #include <sys/stat.h>
>  #include <sys/statfs.h>
> +#include <sys/types.h>
>  #include <sys/ucred.h>
>  #include <sys/queue.h>
> 
> @@ -36,8 +37,8 @@
>  #define	MAXFIDSZ	16
>
>  struct fid {
> -	u_short		fid_len;		/* length of data in bytes */
> -	u_short		fid_reserved;		/* force longword alignment */
> +	__u_short	fid_len;		/* length of data in bytes */
> +	__u_short	fid_reserved;		/* force longword alignment */
>  	char		fid_data[MAXFIDSZ];	/* data (variable length) */

Please pardon my ignorance, but why is it necessary to use the 
double-underscore version of the types?  I think this is fairly uncommon 
in stock FreeBSD kernel headers.

Thanks,

Ben Kaduk


>  };
> 
> @@ -185,7 +186,7 @@
>   * Generic file handle
>   */
>  struct fhandle {
> -	fsid_t	fh_fsid;	/* Filesystem id of mount point */
> +	__fsid_t	fh_fsid;	/* Filesystem id of mount point */
>  	struct	fid fh_fid;	/* Filesys specific id */
>  };
>  typedef struct fhandle	fhandle_t;
> @@ -198,9 +199,9 @@
>  	uid_t	ex_root;		/* mapping for root uid */
>  	struct	xucred ex_anon;		/* mapping for anonymous user */
>  	struct	sockaddr *ex_addr;	/* net address to which exported */
> -	u_char	ex_addrlen;		/* and the net address length */
> +	__u_char	ex_addrlen;	/* and the net address length */
>  	struct	sockaddr *ex_mask;	/* mask of valid bits in saddr */
> -	u_char	ex_masklen;		/* and the smask length */
> +	__u_char	ex_masklen;	/* and the smask length */
>  	char	*ex_indexfile;		/* index file for WebNFS URLs */
>  };
> 
> @@ -223,7 +224,7 @@
>   * XXX: Never change the first two arguments!
>   */
>  struct vfsconf {
> -	u_int	vfc_version;		/* ABI version number */
> +	__u_int	vfc_version;		/* ABI version number */
>  	char	vfc_name[MFSNAMELEN];	/* filesystem type name */
>  	struct	vfsops *vfc_vfsops;	/* filesystem operations vector */
>  	int	vfc_typenum;		/* historic filesystem type number */
> @@ -269,7 +270,7 @@
>
>  struct vfsidctl {
>  	int		vc_vers;	/* should be VFSIDCTL_VERS1 (below) */
> -	fsid_t		vc_fsid;	/* fsid to operate on. */
> +	__fsid_t	vc_fsid;	/* fsid to operate on. */
>  	char		vc_fstypename[MFSNAMELEN];
>  					/* type of fs 'nfs' or '*' */
>  	fsctlop_t	vc_op;		/* operation VFS_CTL_* (below) */




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629211; Package kfreebsd-kernel-headers. (Sun, 05 Jun 2011 09:18:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 05 Jun 2011 09:18:39 GMT) Full text and rfc822 format available.

Message #28 received at 629211@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 629211@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, control@bugs.debian.org
Subject: Re: d-conf on kfreebsd
Date: Sun, 5 Jun 2011 10:49:47 +0200 (CEST)
clone 629211 -1
reassign -1 d-conf 0.7.5-1
--
Hi.


Please append following line into debian/rules of d-conf.

	CFLAGS+=-std=gnu99

The problem is that d-conf explicitely sets in AM_CFLAGS std=c89,
I do not see any reason for doing it, namely in year 2011.

Petr





Bug 629211 cloned as bug 629273. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 05 Jun 2011 09:18:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#629211; Package kfreebsd-kernel-headers. (Sun, 05 Jun 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 05 Jun 2011 10:27:07 GMT) Full text and rfc822 format available.

Message #35 received at 629211@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Benjamin Kaduk <kaduk@mit.edu>
Cc: debian-bsd@lists.debian.org, 629211@bugs.debian.org
Subject: Re: d-conf on kfreebsd
Date: Sun, 5 Jun 2011 12:24:57 +0200
reassign 629211 libc0.1-dev
thanks

2011/6/5 Benjamin Kaduk <kaduk@mit.edu>:
> Please pardon my ignorance, but why is it necessary to use the
> double-underscore version of the types?

AFAICT it's the only way to use those types in glibc headers (btw,
I got confused, <sys/mount.h> is a glibc header not k-k-h).

_BSD_SOURCE would enable the no-underscore types, but it can't
be assumed that every application will define this macro.

-- 
Robert Millan




Bug reassigned from package 'kfreebsd-kernel-headers' to 'libc0.1-dev'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 05 Jun 2011 10:27:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#629211; Package libc0.1-dev. (Sun, 05 Jun 2011 11:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sun, 05 Jun 2011 11:18:14 GMT) Full text and rfc822 format available.

Message #42 received at 629211@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh@debian.org>
Cc: Benjamin Kaduk <kaduk@mit.edu>, debian-bsd@lists.debian.org, 629211@bugs.debian.org
Subject: Re: d-conf on kfreebsd
Date: Sun, 5 Jun 2011 13:14:06 +0200
clone 629211 -1
reassign 629211 kfreebsd-kernel-headers
thanks

On Sun, Jun 05, 2011 at 12:24:57PM +0200, Robert Millan wrote:
> reassign 629211 libc0.1-dev
> thanks
> 
> 2011/6/5 Benjamin Kaduk <kaduk@mit.edu>:
> > Please pardon my ignorance, but why is it necessary to use the
> > double-underscore version of the types?
> 
> AFAICT it's the only way to use those types in glibc headers (btw,
> I got confused, <sys/mount.h> is a glibc header not k-k-h).
> 

But <sys/ucred.h> is in k-k-h, cloning and reassigning.


-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug 629211 cloned as bug 629289. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sun, 05 Jun 2011 11:18:15 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libc0.1-dev' to 'kfreebsd-kernel-headers'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sun, 05 Jun 2011 11:18:17 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 05 Jun 2011 18:21:08 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sun, 05 Jun 2011 18:21:08 GMT) Full text and rfc822 format available.

Message #51 received at 629211-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 629211-close@bugs.debian.org
Subject: Bug#629211: fixed in d-conf 0.7.5-2
Date: Sun, 05 Jun 2011 18:17:15 +0000
Source: d-conf
Source-Version: 0.7.5-2

We believe that the bug you reported is fixed in the latest version of
d-conf, which is due to be installed in the Debian FTP archive:

d-conf_0.7.5-2.debian.tar.gz
  to main/d/d-conf/d-conf_0.7.5-2.debian.tar.gz
d-conf_0.7.5-2.dsc
  to main/d/d-conf/d-conf_0.7.5-2.dsc
dconf-gsettings-backend_0.7.5-2_i386.deb
  to main/d/d-conf/dconf-gsettings-backend_0.7.5-2_i386.deb
dconf-tools_0.7.5-2_i386.deb
  to main/d/d-conf/dconf-tools_0.7.5-2_i386.deb
libdconf-dbg_0.7.5-2_i386.deb
  to main/d/d-conf/libdconf-dbg_0.7.5-2_i386.deb
libdconf-dbus-1-0_0.7.5-2_i386.deb
  to main/d/d-conf/libdconf-dbus-1-0_0.7.5-2_i386.deb
libdconf-dbus-1-dbg_0.7.5-2_i386.deb
  to main/d/d-conf/libdconf-dbus-1-dbg_0.7.5-2_i386.deb
libdconf-dbus-1-dev_0.7.5-2_i386.deb
  to main/d/d-conf/libdconf-dbus-1-dev_0.7.5-2_i386.deb
libdconf-dev_0.7.5-2_i386.deb
  to main/d/d-conf/libdconf-dev_0.7.5-2_i386.deb
libdconf-doc_0.7.5-2_all.deb
  to main/d/d-conf/libdconf-doc_0.7.5-2_all.deb
libdconf0_0.7.5-2_i386.deb
  to main/d/d-conf/libdconf0_0.7.5-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629211@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated d-conf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 Jun 2011 19:51:48 +0200
Source: d-conf
Binary: libdconf0 libdconf-dev libdconf-dbg libdconf-dbus-1-0 libdconf-dbus-1-dev libdconf-dbus-1-dbg libdconf-doc dconf-tools dconf-gsettings-backend
Architecture: source all i386
Version: 0.7.5-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 dconf-gsettings-backend - simple configuration storage system - GSettings back-end
 dconf-tools - simple configuration storage system - utilities
 libdconf-dbg - simple configuration storage system - debugging symbols
 libdconf-dbus-1-0 - simple configuration storage system - D-Bus library
 libdconf-dbus-1-dbg - simple configuration storage system - D-Bus debug symbols
 libdconf-dbus-1-dev - simple configuration storage system - D-Bus development files
 libdconf-dev - simple configuration storage system - development files
 libdconf-doc - simple configuration storage system - documentation
 libdconf0  - simple configuration storage system - runtime library
Closes: 629211
Changes: 
 d-conf (0.7.5-2) unstable; urgency=low
 .
   * Strip leading debian/tmp/ from .install files.
   * Bump Standards-Version to 3.9.2. No further changes.
   * Temporarily disable dconf-editor so we can bootstrap d-conf on kfreebsd.
   * Don't install bash completion file as executable shell script.
   * debian/patches/01-sys-mount-h-include-fix.patch
     - Include headers in a proper way to fix FTBFS on hurd and kfreebsd.
       Thanks Pino Toscano for the patch. (Closes: #629211)
Checksums-Sha1: 
 f5ec94795b9705f7e4697e768a36584880de96aa 2347 d-conf_0.7.5-2.dsc
 c9e484b34ed709bec5801ba6d0b4100c15aef2f5 6701 d-conf_0.7.5-2.debian.tar.gz
 865727c6b9e776838fefe67210cfbe5c54cf111e 21974 libdconf-doc_0.7.5-2_all.deb
 317bfc2705300fbbaedaa61dbe136cfec1b9e764 25710 libdconf0_0.7.5-2_i386.deb
 71a803b23c7a374b2d49abe677b04194bcbbc143 11238 libdconf-dev_0.7.5-2_i386.deb
 27f6577d3a333ab10138063eade754e72e9282d1 38718 libdconf-dbg_0.7.5-2_i386.deb
 a882759afe19cd9573d1676dbd9002216ad1dc10 22222 libdconf-dbus-1-0_0.7.5-2_i386.deb
 e494130b6f702f1379b24dc00067292858ff5819 7974 libdconf-dbus-1-dev_0.7.5-2_i386.deb
 fbe86680b58830b05484bdaf9f8d10a5fd56f9a9 32106 libdconf-dbus-1-dbg_0.7.5-2_i386.deb
 2761682e35b10131755c579204c6875e616efb82 22060 dconf-tools_0.7.5-2_i386.deb
 3eb70df18eb6be3a54c22e56de51cf9b43cbf005 35346 dconf-gsettings-backend_0.7.5-2_i386.deb
Checksums-Sha256: 
 046bf23ac3fb39bc7ea907a5a73b911ce18a7ae93f3e67002d149a2d02838e52 2347 d-conf_0.7.5-2.dsc
 6e39f910e8e78adf0b61eea69d078cdd428f9def49f9073045ce858c75be7a1b 6701 d-conf_0.7.5-2.debian.tar.gz
 3b37850f62a6c774d8fcc8ddf7cc06f0f940ca8fbd160aac248d20d288513af2 21974 libdconf-doc_0.7.5-2_all.deb
 b3895a41c190d6547ef0af91984c90e0cb19ec5bc99828ee6957082a2cf9fc97 25710 libdconf0_0.7.5-2_i386.deb
 39bdc40f462955b19c935b5f77cd121b43043a6d842be01e9e1ba8b51f7dca49 11238 libdconf-dev_0.7.5-2_i386.deb
 5fa28205e4e2e858dca187a70209250dd30a0929b9a7b231fdb4ce99a36a47ef 38718 libdconf-dbg_0.7.5-2_i386.deb
 135daed2c3e3f14f875c9f0020caba1e326c6bc5dbf0cd86e242f182334ae1b2 22222 libdconf-dbus-1-0_0.7.5-2_i386.deb
 857f3fd42357716610e339702861433dc4d2bfccf80205b02df5f380a04ef935 7974 libdconf-dbus-1-dev_0.7.5-2_i386.deb
 2eb8ac8444f901294ab112cbc057d2bb9dc916d9674d59d1660e9faa0c1bdbd7 32106 libdconf-dbus-1-dbg_0.7.5-2_i386.deb
 1622317152a3e339b708619933ff2b4a99b7a68de88c2b4feedead6185c8b36f 22060 dconf-tools_0.7.5-2_i386.deb
 3da80cd4baf163ae182273b17a335397b448d27a827c22c81312de66df050faf 35346 dconf-gsettings-backend_0.7.5-2_i386.deb
Files: 
 88ea06d94134ed7b0adccce4e1006722 2347 libs optional d-conf_0.7.5-2.dsc
 59efa796c999e80e5fa6b18d03f5b5f9 6701 libs optional d-conf_0.7.5-2.debian.tar.gz
 e9372d764dfd1a9b7c483ae02e4cebcc 21974 doc optional libdconf-doc_0.7.5-2_all.deb
 aa65134bea876bc1db0345867eb5ad9f 25710 libs optional libdconf0_0.7.5-2_i386.deb
 2ed13bb2896695e39cd24fe288a77738 11238 libdevel optional libdconf-dev_0.7.5-2_i386.deb
 761f7b4df8f35225a80cd1b2ee043dc2 38718 debug extra libdconf-dbg_0.7.5-2_i386.deb
 e59b00caf3e581f0c54757a563499219 22222 libs optional libdconf-dbus-1-0_0.7.5-2_i386.deb
 7889818453dbba18300a03939be72721 7974 libdevel optional libdconf-dbus-1-dev_0.7.5-2_i386.deb
 480c0cc3efba26e93f8788d09b3aff0e 32106 debug extra libdconf-dbus-1-dbg_0.7.5-2_i386.deb
 1f6984c73048d92ef69441fcad605122 22060 utils optional dconf-tools_0.7.5-2_i386.deb
 61158c59de161e210b7103163aee3c1f 35346 libs optional dconf-gsettings-backend_0.7.5-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN68PsAAoJEGrh3w1gjyLcSeYP/RkF3uBBzInds36B4R1LbR1R
lqfG46YV3izt5atCwF96U18tlBsVfEQwto9MefiYQbolk14+Is8kxyCRXoGHv620
EEGrRBP1v91Hj3b2zK5AY7Ug92iP7VgQ9aYmFtS4A8VdIhNnChDal6ZzWsbqj1Ms
bnWJ2oemIwqzog15rIoSik3zbXdSfCjLbJYimq7sl6+RldHeTSe2oAX4lGfNhZHS
S99jClcPAKsncaM3JfKnmh8wuCR89nzsbRbLD+ihZiL33rFLdI9OofFzSVK6G53Z
5KLAzC03C11yxqIh999fU0dXt6Na3fcMWs5idKSumX9Kn78FOt3K0wcBze6jqrzq
9YC9az8dpyeAR0Y9SLmbIPcwm+8HWMAUpH0iTdpdTxz3rbTzl1bf+LJjcvWIwREO
T/36XhOKu4Hxls7vVcP3B7pJGANJqvoMCdeiBnrlKoFSmjvNGkuz18E1XsTx1zdg
QMxKVwyUzpZWW78KIwqp8sieUczggkBI0ia9+yEKvpktkiU9WPr4SxNyPEWKJRdQ
pA06XFCreQyJDntRSXLQetHfemBXH8uPeXYBNCDZC0q4kDH7Lk5o72GTMGWq84vi
sljM+4QK3vhVbntjt2tFjfCLDHV5run+dZhOqkKkMobrvfsitlDKUHQgn5RLGE8T
ro+3frY+1YjcDchAYgK0
=AJg5
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions d-conf/0.7.5-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Jun 2011 22:42:03 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 07 Jun 2011 06:06:03 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 06:06:03 GMT) Full text and rfc822 format available.

Message #58 received at 629211-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 629211-close@bugs.debian.org
Subject: Bug#629211: fixed in kfreebsd-kernel-headers 0.55
Date: Tue, 07 Jun 2011 06:03:12 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.55

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.55.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.55.dsc
kfreebsd-kernel-headers_0.55.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.55.tar.gz
kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629211@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jun 2011 07:32:13 +0200
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.55
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 kfreebsd-kernel-headers - kernel of FreeBSD headers for development
Closes: 629211 629444
Changes: 
 kfreebsd-kernel-headers (0.55) unstable; urgency=low
 .
   * Swap build-arch and build-indep; install-arch and install-indep targets.
   * Use double underscore protected internal types in <sys/ucred.h> so that
     glibc can access them w/o needing to define _BSD_SOURCE. Closes: #629211
   * Make <sys/sbuf.h> usable while libsbuf-dev does not yet provides its own
     version. Closes: #629444
Checksums-Sha1: 
 149d923dcde2d9e3d8b9ad5225271dfe08210c16 1106 kfreebsd-kernel-headers_0.55.dsc
 0d5e97dfea1747488555468aadedf70f030faa57 39705 kfreebsd-kernel-headers_0.55.tar.gz
 b39d7691dd9c439bd0e791f26b9cde8932862a00 4035474 kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb
Checksums-Sha256: 
 282eeda3b944c885a37bcec6c65399145a21ecc4c52184f4fcc80c236fbf0c5f 1106 kfreebsd-kernel-headers_0.55.dsc
 bc065f0cc24c1020d7b08abce16d48e06078284203fd5e3d7243f76e30231135 39705 kfreebsd-kernel-headers_0.55.tar.gz
 81f032acd2e0608e08507f3a0e0e5163df30cfb464433887f56b016485bf7a79 4035474 kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb
Files: 
 f7f53248307494eb20e303e68a30e536 1106 kernel standard kfreebsd-kernel-headers_0.55.dsc
 2535443ee5810acf5383c9aaad76aa99 39705 kernel standard kfreebsd-kernel-headers_0.55.tar.gz
 9edb439054c255d724d369bc4a0ab1ce 4035474 kernel standard kfreebsd-kernel-headers_0.55_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3tub0ACgkQuW9ciZ2SjJtNFACg9pGwvdb2bN64tYyesbaBINwt
ZpIAnigtfaFvTYqX0983KFfBAasjf7U4
=LYAO
-----END PGP SIGNATURE-----





Added tag(s) sid and wheezy. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 18:30:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Aug 2012 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:41:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.